//
//  ALCheckBoxCell.h
//  ALInterface
//
//  Created by Alexey Nikitin on 19.07.12.
//  Copyright (c) 2012 Aperio Lux. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum
{
    ALWhiteTextStyle = 0,
    ALBlackTextStyle = 1
};

typedef NSInteger ALCheckBoxTextStyle;

enum
{
    ALWhiteCheckBoxCellStyle = 0,
    ALBlackCheckBoxCellStyle = 1
};

typedef NSInteger ALCheckBoxCellStyle;

@interface ALCheckBoxCell : NSButtonCell
{
    ALCheckBoxTextStyle textStyle;
    ALCheckBoxCellStyle checkBoxCellStyle;
}

-(void)setCheckBoxTextStyle:(ALCheckBoxTextStyle)aStyle;
-(void)setCheckBoxCellStyle:(ALCheckBoxCellStyle)aStyle;

@end
