//
//  ALRadioButtonCell.h
//  ALInterface
//
//  Created by Alexey Nikitin on 8/21/12.
//  Copyright (c) 2012 Aperio Lux. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum
{
    ALWhiteTextRadioStyle = 0,
    ALBlackTextRadioStyle = 1
};

typedef NSInteger ALRadioButtonTextStyle;

enum
{
    ALWhiteRadioCellStyle = 0,
    ALBlackRadioCellStyle = 1
};

typedef NSInteger ALRadioButtonCellStyle;

@interface ALRadioButtonCell : NSButtonCell
{
    ALRadioButtonTextStyle textStyle;
    ALRadioButtonCellStyle checkBoxCellStyle;
}

-(void)setRadioButtonTextStyle:(ALRadioButtonTextStyle)aStyle;
-(void)setRadioButtonCellStyle:(ALRadioButtonCellStyle)aStyle;
@end
