//
//  ALToolbar.h
//  ALInterface
//
//  Created by Alexey Nikitin on 19.06.12.
//  Copyright (c) 2012 Aperio Lux. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum ALToolbarStyle {
    ALToolbarSSV = 0,
    ALToolbarSSS = 1,
    ALToolbarSSD = 2,
    ALToolbarSTDV = 3,
    ALToolbarSTC = 4,
    ALToolbarSTSH = 5,
    ALToolbarSTV = 6,
    ALToolbarDOV = 7
    };

typedef NSInteger ALToolbarStyle;

@interface ALToolbar : NSView

@property (nonatomic,assign,readwrite)ALToolbarStyle style;
@property (nonatomic, retain, readwrite) NSWindow *owner;

        //function
//ALToolbar170
-(void)drawToolbarWithSSV;      //178 -- 270
-(void)drawToolbarWithSSS;      //177 -- 270
-(void)drawToolbarWithSSD;      //172 -- 270

//ALToolbar130
-(void)drawToolbarWithSTDV;     //139 -- 270
-(void)drawToolbarWithSTV;     //138 -- 270
-(void)drawToolbarWithSTSH;     //136 -- 270
-(void)drawToolbarWithSTC;      //134 -- 270

-(void)drawToolbarWithDOV;      //218 -- 270

@end
